<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreatePagare extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('pagare')
			->addColumn('proyecto', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('moneda', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('capital', 'double', ['default' => 0, 'null' => false, 'signed' => false])
			->addColumn('tasa', 'double', ['default' => 0, 'null' => false, 'signed' => false])
			->addColumn('fecha', 'date', ['null' => false])
			->addColumn('fecha_banco', 'date', ['default' => '0000-00-00', 'null' => false])
			->addColumn('duracion', 'integer', ['length' => 10, 'default' => 0, 'null' => false, 'signed' => false])
			->addColumn('uf', 'double', ['default' => 0, 'null' => false, 'signed' => false])
			->addColumn('abonado', 'integer', ['length' => 10, 'default' => 0, 'null' => false, 'signed' => false])
			->addColumn('estado_pago', 'integer', ['length' => 10, 'default' => 99999999, 'null' => false, 'signed' => false])
			->addForeignKey('moneda', 'tipo_moneda_pagare', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('proyecto', 'proyecto', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
